local assets=
{
	Asset("ANIM", "anim/mothmuffin.zip"),
}

local prefabs = 
{
	"spoiled_food",
}
local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    
    MakeInventoryPhysics(inst)
    
    inst:AddComponent("edible")
    inst.components.edible.healthvalue = -TUNING.HEALING_TINY
    inst.components.edible.hungervalue = TUNING.CALORIES_LARGE
    inst.components.edible.sanityvalue = -TUNING.SANITY_SMALL
    inst.components.edible.foodtype = "VEGGIE"
	inst.components.edible.foodstate = "PREPARED"

    inst:AddComponent("inventoryitem")
	inst:AddTag("preparedfood")
    inst:AddTag("monstermeat")

	inst.AnimState:SetBank("mothmuffin")
    inst.AnimState:SetBuild("mothmuffin")
	
    inst.components.inventoryitem.imagename = "mothmuffin"
    inst.components.inventoryitem.atlasname = "inventoryimages/mothmuffin.xml"

    
    
    inst.AnimState:PlayAnimation("idle")
    
    if SaveGameIndex:IsModeShipwrecked() then
    MakeInventoryFloatable(inst, "idle_water", "idle")
	MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.LIGHT)
	end

    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
    
    inst:AddComponent("inspectable")

	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_SLOW)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
    
    MakeSmallBurnable(inst)
	MakeSmallPropagator(inst)
	    
	------------------------------------------------
	inst:AddComponent("tradable")
	    
	------------------------------------------------  
	
    return inst
end

return Prefab( "common/inventory/mothmuffin", fn, assets, prefabs) 
