local assets=
{
	Asset("ANIM", "anim/moth_wings.zip"),
}

local prefabs = 
{
	"spoiled_food",
}
local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    
    MakeInventoryPhysics(inst)
    
    inst:AddComponent("edible")
    inst.components.edible.healthvalue = -TUNING.HEALING_SMALL
    inst.components.edible.hungervalue = TUNING.CALORIES_MEDSMALL
    inst.components.edible.sanityvalue = -TUNING.SANITY_SMALL
    inst.components.edible.foodtype = "VEGGIE"

    inst:AddTag("cattoy")
    inst:AddComponent("tradable")
    inst:AddComponent("inventoryitem")
    inst:AddTag("monstermeat")

    inst.AnimState:SetBank("butterfly_wings")
    inst.AnimState:SetBuild("moth_wings")
	inst.AnimState:PlayAnimation("idle")
	
    inst.components.inventoryitem.imagename = "mothwings"
    inst.components.inventoryitem.atlasname = "inventoryimages/mothwings.xml"
    
	if SaveGameIndex:IsModeShipwrecked() then
	MakeBlowInHurricane(inst, TUNING.WINDBLOWN_SCALE_MIN.LIGHT, TUNING.WINDBLOWN_SCALE_MAX.LIGHT)
    MakeInventoryFloatable(inst, "idle_water", "idle")
	end
	
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
    
    inst:AddComponent("inspectable")
    
    
	inst:AddComponent("perishable")
	inst.components.perishable:SetPerishTime(TUNING.PERISH_FAST)
	inst.components.perishable:StartPerishing()
	inst.components.perishable.onperishreplacement = "spoiled_food"
    
    return inst
end

return Prefab( "common/inventory/mothwings", fn, assets, prefabs) 
